function [y] = gdexppdf(x, p, lam1, lam2)
% calculate pfd of the generalized double exponentil distribution

y = zeros(length(x), 1); % initialize vector of pdf values

for i = 1:length(x)
    
    if x(i) < 0 % check value of x and choose branch
        
        y(i) = p * lam1 * exp(lam1 * x(i)); % branch 1
        
    else
        
        y(i) = (1 - p) * lam2 * exp(-lam2 * x(i)); % branch 2
        
    end
    
end

end